%global base_name       antunit

Name:             ant-%{base_name}
Version:          1.2
Release:          %mkrel 2
Summary:          Provide antunit ant task
Group:            Development/Java
License:          ASL 2.0
URL:              http://ant.apache.org/antlibs/%{base_name}/
Source0:          http://www.apache.org/dist/ant/antlibs/%{base_name}/source/apache-%{name}-%{version}-src.tar.bz2
BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    ant-junit
BuildRequires:    ant-testutil

Requires:         java >= 1:1.6.0
Requires:         jpackage-utils
Requires:         ant


%description
The <antunit> task drives the tests much like <junit> does for JUnit tests.

When called on a build file, the task will start a new Ant project for that
build file and scan for targets with names that start with "test". For each
such target it then will:

   1. Execute the target named setUp, if there is one.
   2. Execute the target itself - if this target depends on other targets the
      normal Ant rules apply and the dependent targets are executed first.
   3. Execute the target names tearDown, if there is one.


%package javadoc
Summary:          Javadoc for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n apache-%{name}-%{version}
mv CONTRIBUTORS CONTRIBUTORS.orig
iconv -f ISO-8859-1 -t UTF-8 CONTRIBUTORS.orig > CONTRIBUTORS
touch -r CONTRIBUTORS.orig CONTRIBUTORS


%build
ant package


%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}/ant
install -pm 644 build/lib/%{name}-%{version}.jar %{buildroot}%{_javadir}/ant/%{name}.jar
install -d -m 0755 %{buildroot}%{_datadir}/ant/lib
ln -s ../../java/ant/%{name}.jar %{buildroot}%{_datadir}/ant/lib

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{name}-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP.ant-%{name}.pom
%add_maven_depmap JPP.ant-%{name}.pom ant/%{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}/

# OPT_JAR_LIST fragments
mkdir -p %{buildroot}%{_sysconfdir}/ant.d
echo "%{base_name} ant/%{name}" > %{buildroot}%{_sysconfdir}/ant.d/%{base_name}


%files -f .mfiles
%doc CONTRIBUTORS LICENSE NOTICE README README.html WHATSNEW
%config(noreplace) %{_sysconfdir}/ant.d/%{base_name}
%{_datadir}/ant/lib/%{name}.jar

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}




%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.2-2.mga4
+ Revision: 538187
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1.2-1.mga4
+ Revision: 488979
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1.1-4.mga3
+ Revision: 345585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 1.1-3.mga3
+ Revision: 326631
- Build with Java7

* Sun Oct 28 2012 dmorgan <dmorgan> 1.1-2.mga3
+ Revision: 311255
- Java Stack Mass Rebuild

* Tue Aug 02 2011 gil <gil> 1.1-1.mga2
+ Revision: 131328
- edit spec file used new JP macro

* Fri Jun 10 2011 gil <gil> 1.1-0.mga2
+ Revision: 102791
- imported package ant-antunit

